<?php
require'f_galerie.php';
$titlu='Salvează poza '.$pid;
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='descrierea pozei '.$pid;
$text=$pmtext;
require'f_ban.php';
}
$pret_com=$_POST['pret_com'];
$pret_rate=$_POST['pret_rate'];
if($pinfo[1]==$de||$perm>0)
{
if($conn->query('UPDATE`galerie_poze`SET`descriere`="'.$pmtext.'"WHERE`id`="'.$pid.'"'))
{
if($de!=$pinfo[1])
{
$x1='<!-- poza'.$pid.' -->';
if($pinfo[12]>0)
$x1.='[br/]Din albumul [url=/poze-membru/la/'.$pinfo[1].'-'.seo(nume($pinfo[1],1)).'/album/'.$pinfo[12].'-'.seo($finfo[1]).'][img='.$imagine_album[$finfo[2]].']'.$finfo[1].'[/url]';
require'f_notificare.php';
notificare('ti-am editat descrierea de la poza [url=/poza/id/'.$pid.'][img=/'.$pinfo[5].']asta[/url]!'.$x1.'[br/]Înlocuind descrierea [b]'.$pinfo[2].'[/b] cu descrierea [b]'.$pmtext.'[/b]',$pinfo[1],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Poza editata!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai permisiunile necesare pentru a edita aceasta poza!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4||preg_match('/[^0-9]/',$pret_rate)||mb_strlen($pret_rate)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la o poza ca preț comentarii '.$pret_com.' lei, și ca preț note '.$pret_rate.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
$fidd=$_POST['fid'];
if($fid!=$fidd)
{
require_once'f_notificare.php';
require'f_sterg.php';
echo'<br />'.(muta_poza($pid,$pinfo[5],$fid,$finfo[1],$finfo[2],$finfo[3],$fidd)?'Ai mutat poza în albumul '.($fidd==0?'Poze fără album':$conn->query('SELECT`nume`FROM`galerie_albume`WHERE`id`="'.$fidd.'"')->fetch_row()[0]).'!':'Poza nu a putut fi mutata în acel album!');
}
$conn->query('UPDATE`galerie_poze`SET`pret_com`="'.$pret_com.'",`pret_rate`="'.$pret_rate.'"WHERE`id`="'.$pid.'"&&`de`="'.$de.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei, iar ca preț pentru note, suma de <strong>'.$pret_rate.'</strong> lei!';
}
echo$div[0];
require'f_jos.php';